Subject: bug#73718: 31.0.50; Severe performance issue with Tramp and project-mode-line-format

From: Dmitry Gutov <[email-masked]>
Date: Fri, 11 Oct 2024 03:38:25 +0300

On 09/10/2024 19:10, Juri Linkov wrote:
> Or maybe better to cache the value of project-name on remove projects.

Just the project->project-name mapping? Why not. I suppose there'd still 
be a pause when switching projects, but it's not as bad.

For general caching, from past threads it seems the most problematic 
case is "no project". Because OT1H it's still costly it terms of remote 
I/O. But on the other, this is exactly when the cache might get invalid 
soon (because the user will initialize a Git repo, or create another 
root marker, etc).

I guess we should come back to this after bug#72300.